#!/usr/bin/env bash

# Bildschirm-Blanking verhindern
xset s off
xset s noblank
xset -dpms

# Mauszeiger ausblenden
unclutter -idle 0.5 -root &

# Chromium-Crash-Dialoge unterdrücken
sed -i 's/"exited_cleanly":false/"exited_cleanly":true/' \
    "$HOME/.config/chromium/Default/Preferences" 2>/dev/null || true
sed -i 's/"exit_type":"Crashed"/"exit_type":"Normal"/' \
    "$HOME/.config/chromium/Default/Preferences" 2>/dev/null || true

# Browser starten
chromium-browser --kiosk --noerrdialogs --disable-infobars \
                 --window-position=0,0 --app=http://localhost:5000/ & 